## slimevolley 2.4.2

=== beos/Makefile ===
CC=i386-mingw32-gcc
ifeq ($(SV_PORTABLE),yes)
CFLAGS+=-W -Wall -Wextra -DSV_PORTABLE=1 -I. `sdl-config --cflags`
THEME_SRC=obj/themes_portable.o
else
CFLAGS+=-W -Wall -Wextra -DSV_PORTABLE=1 -I. `sdl-config --cflags`
THEME_SRC=obj/themes_std.o
endif

LDFLAGS=`sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_net

all: obj slimevolley

obj:
	mkdir obj

slimevolley: obj/audio.o obj/clavier.o obj/credits.o obj/IA.o obj/jeu.o obj/menu_jeu.o obj/menu_options.o \
	obj/menu_princ.o obj/menu.o obj/objet.o obj/reseau_inter.o obj/reseau.o obj/slime.o obj/echelle.o obj/themes_general.o $(THEME_SRC)
	$(CC) -MD  -L winlib $^ $(LDFLAGS) -L winlib  -o $@
ifeq ($(SV_PORTABLE),yes)
	$(CC) $(CFLAGS) $(LDFLAGS) ../src/packer.c -o packer
	./packer
endif
	
obj/%.o: ../src/%.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	@rm -rf obj/*.o >/dev/null 2>&1 || true
	@rm -rf *.d >/dev/null 2>&1 || true

mrproper: clean
	rm -f slimevolley

.PHONY: clean mrproper

=== data/CMakeLists.txt ===
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(slimes)
ADD_SUBDIRECTORY(themes/default)
ADD_SUBDIRECTORY(themes/mushrooms)

=== windows/Makefile ===
WIN_CC=i386-mingw32-gcc
WIN_DRES=i386-mingw32-windres
ifeq ($(SV_PORTABLE),yes)
WIN_CFLAGS=-W -Wall -MD -DSV_PORTABLE=1 -I winincs -I.
WIN_LDFLAGS=-s -static -lmingw32 -lSDLmain -mwindows -lSDL -lSDL_image -lSDL_ttf -lSDL_net
THEME_SRC=obj/themes_portable.o
else
WIN_CFLAGS=-W -Wall -MD -I winincs -I.
WIN_LDFLAGS=-lmingw32 -lSDLmain -mwindows -lSDL -lSDL_image -lSDL_ttf -lSDL_net -lintl
THEME_SRC=obj/themes_std.o
endif
CC=gcc
CFLAGS=-W -Wall `sdl-config --cflags` -I.
LDFLAGS=`sdl-config --libs`

all: winincs/SDL.h obj slimevolley.exe

winincs/SDL.h:
	./down_deps.sh

obj:
	mkdir obj

slimevolley.exe: obj/audio.o obj/clavier.o obj/credits.o obj/IA.o obj/ressources.o obj/jeu.o obj/menu_jeu.o obj/menu_options.o \
	obj/menu_princ.o obj/menu.o obj/objet.o obj/reseau_inter.o obj/reseau.o obj/slime.o obj/echelle.o obj/themes_general.o $(THEME_SRC)
	$(WIN_CC) -MD  -L winlibs $^ $(WIN_LDFLAGS) -L winlibs  -o $@
ifeq ($(SV_PORTABLE),yes)
	$(CC) $(CFLAGS) $(LDFLAGS) ../src/packer.c -o packer
	./packer
endif

obj/ressources.o: ressources.rc
	$(WIN_DRES) -i $^ -O coff -o $@
	
obj/%.o: ../src/%.c
	$(WIN_CC) $(WIN_CFLAGS) -c $< -o $@

clean:
	@rm -f obj/*.o >/dev/null 2>&1 || true
	@rm -f *.d >/dev/null 2>&1 || true

mrproper: clean
	rm -f slimevolley.exe

.PHONY: clean mrproper

=== debian/changelog ===
slimevolley (2.4.2-1) unstable; urgency=low

  * Initial release (Closes: #539640)

 -- Vincent Duvert (VinDuv) <vincent.duvert@free.fr>  Sat, 06 Mar 2010 23:04:10 +0100

=== debian/control ===
Source: slimevolley
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Duvert (VinDuv) <vincent.duvert@free.fr>
Build-Depends: debhelper (>= 7.0.0), cmake (>= 2.0.5), libsdl-image1.2-dev (>= 1.2.5), libsdl-ttf2.0-dev (>= 2.0.6), libsdl-net1.2-dev (>= 1.2.5), libsdl1.2-dev (>= 1.2.7) 
Standards-Version: 3.8.4
Homepage: http://slime.tuxfamily.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/slimevolley/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/slimevolley/?op=log

Package: slimevolley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slimevolley-data (= ${source:Version})
Description: Unrealistic 2D volleyball simulation
 Slime Volley is a 2D arcade-oriented volleyball simulation, in the spirit of
 some Java games of the same name.
 Two teams, 1-3 players each, try to be the first to get 10 points. This happens
 when the one ball touches the floor on the other side of the net.
 There can be 1 to 8 balls in game.
 Each player use 4 keys, 2 direction keys, one for jump and one for changing its
 skin.

Package: slimevolley-data
Architecture: all
Depends: ${misc:Depends}
Recommends: slimevolley
Description: Unrealistic 2D volleyball simulation - Data files
 Slime Volley is a 2D arcade-oriented volleyball simulation, in the spirit of
 some Java games of the same name.
 This package contains the data files needed to run Slime Volley.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

DOC_DIR = $(CURDIR)/debian/slimevolley-data/usr/share/doc/slimevolley-data

configure: configure-stamp
configure-stamp:
	dh_testdir
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DBIN_DIR=games -DATA_DIR=/usr/share/games/slimevolley -DDATA_INSTALL_DIR=../../../debian/slimevolley-data/usr/share/games/slimevolley .

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -d CMakeFiles ] || rm -r CMakeFiles	
	[ ! -d po/CMakeFiles ] || rm -r po/CMakeFiles
	[ ! -d data/icons/CMakeFiles ] || rm -r data/icons/CMakeFiles
	[ ! -d data/slimes/CMakeFiles ] || rm -r data/slimes/CMakeFiles
	[ ! -f slimevolley ] || rm slimevolley

	[ ! -d data/themes/arash/CMakeFiles ] || rm -r data/themes/arash/CMakeFiles
	[ ! -d data/themes/modern/CMakeFiles ] || rm -r data/themes/modern/CMakeFiles
	[ ! -d data/themes/mushrooms/CMakeFiles ] || rm -r data/themes/mushrooms/CMakeFiles

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/slimevolley install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs

	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# See uscan(1) for details about this file.
version=3
http://download.tuxfamily.org/slime/slimevolley_([\d.]+)\.tar\.gz

## slimevolley 2.4.2%2Bdfsg

=== debian/changelog ===
slimevolley (2.4.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with CMake 4 (Closes: #1113510)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 13:48:12 +0200

slimevolley (2.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 10. (Closes: #957813)
  * Update Standards-Version to 4.5.0:
    - Switch priority from extra to optional
    - Drop obsolete menu file
    - Declare that d/rules does not require root
  * Update debhelper compat level to 13:
    - Drop --parallel, as it is default
  * Enable all hardening options.
  * Import repository to salsa and set Vcs-* fields.
  * Switch upstream URLs to https.
  * Remove trailing whitespace.
  * Mark slimevolley-data as Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 20 Sep 2020 23:25:09 +0200

slimevolley (2.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * d/control: Remove versioned constraints.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical VCS-URI.
  * slimevolley.desktop: Add keywords and a comment in German.
  * debian/watch: Use version=4.
  * slimevolley-data: Change Recommends: slimevolley to Suggests.
  * Simplify debian/rules by using dh sequencer. (Closes: #822023)
  * Use install files and remove dirs file.
  * slimevolley.desktop: Use 64x64 pixel icon.

 -- Markus Koschany <apo@debian.org>  Sat, 04 Jun 2016 06:46:42 +0200

slimevolley (2.4.2+dfsg-1) unstable; urgency=low

  * Team upload.
  * Link to libm to prevent FTBFS with --no-add-needed.
    Closes: #615775
  * Slightly improve descriptions.
  * Add more copyright information about the font for the mushrooms theme.
  * Add a get-orig-source target to create DFSG-free tarball.
  * Use http://download.tuxfamily.org/slime/next/ in the watchfile.
  * In the DFSG-free tarball default/police.ttf and mushrooms/police.ttf
    are the same, remove one and symlink accordingly in the package.
  * Mangle version in the watchfile.
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Thu, 19 May 2011 18:34:22 +0200

## slimevolley 2.4.2+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
IF(COMMAND cmake_policy)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

PROJECT(slimevolley)
FIND_PACKAGE(SDL REQUIRED)
FIND_PACKAGE(SDL_ttf REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
FIND_PACKAGE(SDL_net)

IF(NOT SDL_FOUND)
	MESSAGE(FATAL_ERROR "SDL not found!")
ENDIF(NOT SDL_FOUND)

IF(NOT SDLTTF_FOUND)
	MESSAGE(FATAL_ERROR "SDL_ttf not found!")
ENDIF(NOT SDLTTF_FOUND)

IF(NOT SDLIMAGE_FOUND)
	MESSAGE(FATAL_ERROR "SDL_image not found!")
ENDIF(NOT SDLIMAGE_FOUND)

IF(SDLNET_FOUND)
	IF(NO_NET)	
		MESSAGE(STATUS "Network support disabled (-DNO_NET=1 option used).")
	ELSE(NO_NET)
		MESSAGE(STATUS "Network support enabled, use -DNO_NET=1 option to disable.")
		SET(NET_SUPPORT 1)
	ENDIF(NO_NET)
ELSE(SDLNET_FOUND)
	 MESSAGE(STATUS "SDL_net not found, network support disabled.")
ENDIF(SDLNET_FOUND)

INCLUDE_DIRECTORIES(
	${SDL_INCLUDE_DIR}
	${SDLTTF_INCLUDE_DIR}
	${SDLIMAGE_INCLUDE_DIR}
)

LINK_LIBRARIES(
	${SDL_LIBRARY}
	${SDLTTF_LIBRARY}
	${SDLIMAGE_LIBRARY}
)

INCLUDE(FindGettext.cmake)

IF(GETTEXT_RUNTIME_FOUND)
	SET(I10N TRUE)
	SET(I10N_DIR ${CMAKE_INSTALL_PREFIX}/share/locale)
	INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
	LINK_LIBRARIES(${GETTEXT_LIBRARIES})
ELSE(GETTEXT_RUNTIME_FOUND)
	SET(I10N FALSE)
ENDIF(GETTEXT_RUNTIME_FOUND)

IF(NET_SUPPORT)
	INCLUDE_DIRECTORIES(${SDLNET_INCLUDE_DIR})
	LINK_LIBRARIES(${SDLNET_LIBRARY})
ENDIF(NET_SUPPORT)

SET(
	SOURCES
	src/audio.c
	src/clavier.c
	src/credits.c
	src/IA.c
	src/jeu.c
	src/menu_jeu.c
	src/menu_options.c
	src/menu_princ.c
	src/menu.c
	src/objet.c
	src/reseau_inter.c
	src/reseau.c
	src/slime.c
	src/themes_general.c
	src/echelle.c
)

IF(APPLE)
	SET(
		SOURCES
		${SOURCES}
		macosx/SDLMain.m
	)
ENDIF(APPLE)

IF(SV_PORTABLE)
	ADD_EXECUTABLE(
		packer
		src/packer.c
	)
	MESSAGE(STATUS "A portable build will be created.")
	SET(
		SOURCES
		${SOURCES}
		src/themes_portable.c
	)
ELSE(SV_PORTABLE)
	IF(NOT DATA_DIR)
		IF(WINDOWS)
			SET(DATA_DIR "data")
		ELSE(WINDOWS)
			SET(DATA_DIR 
"${CMAKE_INSTALL_PREFIX}/share/games/slimevolley")
		ENDIF(WINDOWS)
	ENDIF(NOT DATA_DIR)
	MESSAGE(STATUS "Slime data will be installed in ${DATA_DIR}.")
	SET(
		SOURCES
		${SOURCES}
		src/themes_std.c
	)
ENDIF(SV_PORTABLE)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})

ADD_EXECUTABLE(
	slimevolley
	${SOURCES}
)

ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(data)

IF(SV_PORTABLE)
	ADD_CUSTOM_COMMAND(TARGET slimevolley
		COMMAND ./packer
		DEPENDS slimevolley)
ELSE(SV_PORTABLE)
	STRING(COMPARE EQUAL ${CMAKE_INSTALL_PREFIX} /usr USR_PREFIX)

	IF(BIN_DIR)
		INSTALL(TARGETS slimevolley DESTINATION ${BIN_DIR})
	ELSE(BIN_DIR)
		INSTALL(TARGETS slimevolley DESTINATION "bin")
	ENDIF(BIN_DIR)

	INSTALL(FILES debian/slimevolley.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
	INSTALL(FILES docs/slimevolley.6 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man6)
	INSTALL(FILES docs/slimevolley.6.fr DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/fr/man6 RENAME slimevolley.6)
ENDIF(SV_PORTABLE)

=== po/CMakeLists.txt ===
IF(GETTEXT_RUNTIME_FOUND)
	SET(catalogname slimevolley)
 
	ADD_CUSTOM_TARGET(translations ALL)
	
	FILE(GLOB PO_FILES *.po)
	
	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
		SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
		IF(GETTEXT_TOOLS_FOUND)
			ADD_CUSTOM_COMMAND(TARGET translations
				COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
				DEPENDS ${_poFile})
		ENDIF(GETTEXT_TOOLS_FOUND)
		INSTALL(FILES ${_gmoFile} DESTINATION ${I10N_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo )
	ENDFOREACH(_poFile ${PO_FILES})
ENDIF(GETTEXT_RUNTIME_FOUND)

=== data/icons/CMakeLists.txt ===
INSTALL(FILES
	slimevolley.xpm
	slimevolley_64.xpm
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps
)

=== data/slimes/CMakeLists.txt ===
IF(DATA_INSTALL_DIR)
	SET(DESTINATION ${DATA_INSTALL_DIR}/slimes)
ELSE(DATA_INSTALL_DIR)
	SET(DESTINATION ${DATA_DIR}/slimes)
ENDIF(DATA_INSTALL_DIR)


INSTALL(FILES
	slimeJD1.png
	slimeJD2.png
	slimeJD3.png
	slimeJD4.png
	slimeJD5.png
	slimeJD6.png
	slimeJD7.png
	
	slimeJG1.png
	slimeJG2.png
	slimeJG3.png
	slimeJG4.png
	slimeJG5.png
	slimeJG6.png
	slimeJG7.png
	
	DESTINATION ${DESTINATION}
)

=== data/themes/classic/CMakeLists.txt ===
SET(THEME mushrooms)
IF(DATA_INSTALL_DIR)
	SET(DESTINATION ${DATA_INSTALL_DIR}/themes/${THEME})
ELSE(DATA_INSTALL_DIR)
	SET(DESTINATION ${DATA_DIR}/themes/${THEME})
ENDIF(DATA_INSTALL_DIR)

INSTALL(FILES
	police.ttf

	slimeIAG.png
	slimeIAD.png

	slimeG.png
	slimeD.png

	oeil.png

	menu.png
	jeu.png

	fleche.png
	balle.png
	
	theme.txt
	
	s_slime.wav
	s_mur.wav
	s_jg_m.wav
	s_filet.wav

	DESTINATION ${DESTINATION}
)

=== data/themes/default/CMakeLists.txt ===
SET(THEME default)
IF(DATA_INSTALL_DIR)
	SET(DESTINATION ${DATA_INSTALL_DIR}/themes/${THEME})
ELSE(DATA_INSTALL_DIR)
	SET(DESTINATION ${DATA_DIR}/themes/${THEME})
ENDIF(DATA_INSTALL_DIR)

INSTALL(FILES
	police.ttf

	slimeIAG.png
	slimeIAD.png

	slimeG.png
	slimeD.png

	oeil.png

	menu.png
	jeu.png

	fleche.png
	balle.png
	
	theme.txt
	
	s_slime.wav
	s_mur.wav
	s_jg_m.wav
	s_filet.wav

	DESTINATION ${DESTINATION}
)

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Vincent Duvert (VinDuv) <vincent.duvert@free.fr>
 Build-Depends: debhelper (>= 7.0.0), cmake (>= 2.0.5), libsdl-image1.2-dev (>= 1.2.5), libsdl-ttf2.0-dev (>= 2.0.6), libsdl-net1.2-dev (>= 1.2.5), libsdl1.2-dev (>= 1.2.7) 
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://slime.tuxfamily.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/slimevolley/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/slimevolley/?op=log
@@ -12,7 +12,7 @@
 Package: slimevolley
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, slimevolley-data (= ${source:Version})
-Description: Unrealistic 2D volleyball simulation
+Description: unrealistic 2D volleyball simulation
  Slime Volley is a 2D arcade-oriented volleyball simulation, in the spirit of
  some Java games of the same name.
  Two teams, 1-3 players each, try to be the first to get 10 points. This happens
@@ -25,7 +25,13 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: slimevolley
-Description: Unrealistic 2D volleyball simulation - Data files
+Description: unrealistic 2D volleyball simulation - data files
  Slime Volley is a 2D arcade-oriented volleyball simulation, in the spirit of
  some Java games of the same name.
+ Two teams, 1-3 players each, try to be the first to get 10 points. This happens
+ when the one ball touches the floor on the other side of the net.
+ There can be 1 to 8 balls in game.
+ Each player use 4 keys, 2 direction keys, one for jump and one for changing its
+ skin.
+ .
  This package contains the data files needed to run Slime Volley.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	cmake -DCMAKE_INSTALL_PREFIX=/usr -DBIN_DIR=games -DATA_DIR=/usr/share/games/slimevolley -DDATA_INSTALL_DIR=../../../debian/slimevolley-data/usr/share/games/slimevolley .
+	cmake -DCMAKE_INSTALL_PREFIX=/usr -DBIN_DIR=games -DATA_DIR=/usr/share/games/slimevolley -DDATA_INSTALL_DIR=../../..//debian/slimevolley-data/usr/share/games/slimevolley .
 
 	touch configure-stamp
 
@@ -56,6 +56,7 @@
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/slimevolley install
+	$(RM) $(CURDIR)/debian/slimevolley/usr/share/games/slimevolley/themes/default/police.ttf
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -81,5 +82,16 @@
 	dh_md5sums
 	dh_builddeb
 
+get-orig-source:
+	mkdir get-orig-source-tmp
+	uscan --download-current-version --destdir=get-orig-source-tmp && \
+		cd get-orig-source-tmp && \
+		tar xzf slimevolley_2.4.2.orig.tar.gz && \
+		cp slimevolley-2.4.2/data/themes/mushrooms/police.ttf \
+			slimevolley-2.4.2/data/themes/default/police.ttf && \
+		tar zcf ../../slimevolley_2.4.2+dfsg.orig.tar.gz slimevolley-2.4.2 && \
+		cd ..
+	$(RM) -rf get-orig-source-tmp
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# See uscan(1) for details about this file.
version=3
opts=dversionmangle=s/\+dfsg// \
 http://download.tuxfamily.org/slime/next/slimevolley_([\d.]+)\.orig\.tar\.gz
